package org.jeecg.modules.ctop.job;


import org.jeecg.modules.system.service.IPerformanceService2;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

public class EffiVideoJob implements Job {
    @Autowired
    private IPerformanceService2 performanceService;

    /**
     * 获取有效视频以及对应人的定时任务
     *
     * @param jobExecutionContext
     * @throws JobExecutionException
     */
    @Override
    public void execute(JobExecutionContext jobExecutionContext) {
        performanceService.efficientVideoTask(2);
        performanceService.efficientVideoTask(1);
    }
}
