package org.jeecg.modules.ctop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ctop.entity.MailLog;

import java.util.List;

/**
 * 邮箱记录表
 *
 * @author: jeecg-boot
 * @date: 2019-12-08
 * @cersion: V1.0
 */
public interface MailLogMapper extends BaseMapper<MailLog> {

    Integer selectCountByAccountIdAndDate(@Param("accountId") Long accountId, @Param("createTime") String createTime);

    List<String> selectMailList(@Param("projectId") Long projectId);

    List<String> selectWeiXinIdList(@Param("projectId") Long projectId);
}
